Subject: Re: [PATCH v4 39/39] 9p: Use netfslib read/write_iter

From: Christian Schoenebeck <[email-masked]>
Date: Wed, 13 Dec 2023 16:39:54 +0100

On Wednesday, December 13, 2023 4:23:49 PM CET David Howells wrote:
> Use netfslib's read and write iteration helpers, allowing netfslib to take
> over the management of the page cache for 9p files and to manage local disk
> caching.  In particular, this eliminates write_begin, write_end, writepage
> and all mentions of struct page and struct folio from 9p.
> 
> Note that netfslib now offers the possibility of write-through caching if
> that is desirable for 9p: just set the NETFS_ICTX_WRITETHROUGH flag in
> v9inode->netfs.flags in v9fs_set_netfs_context().
> 
> Note also this is untested as I can't get ganesha.nfsd to correctly parse
> the config to turn on 9p support.

Do you have a chance to test this 9p patch with QEMU instead maybe?

/Christian